package co.yixiang.yshop.module.pay.strategy;

import lombok.Getter;

@Getter
public enum PayEnum {

    ALI("alipay", "支付宝支付"),
    ALI_APP("alipay_app", "支付宝APP支付"),
    ALI_H5("alipay_h5", "支付宝H5支付"),
    WEIXIN("weixin", "微信支付"),
    WEIXIN_H5("weixin_h5", "微信H5支付"),
    WEIXIN_APPLET("weixin_applet", "微信小程序支付"),
    WEIXIN_APP("weixin_app", "微信app支付"),
    YUE("yue", "余额支付"),
    INTEGRAL("integral", "积分兑换");

    private String msg;
    private String code;

    PayEnum(String code, String msg) {
        this.msg = msg;
        this.code = code;
    }

}
